Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# node.h File Reference

`#include <lib3ds/tracks.h>`

Include dependency graph for node.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | _Lib3dsAmbientData
struct | _Lib3dsCameraData
struct | _Lib3dsLightData
struct | _Lib3dsNode
union | _Lib3dsNodeData
struct | _Lib3dsObjectData
struct | _Lib3dsSpotData
struct | _Lib3dsTargetData
## Defines
#define | LIB3DS_NO_PARENT 65535
## Typedefs
typedef _Lib3dsAmbientData | Lib3dsAmbientData
typedef _Lib3dsObjectData | Lib3dsObjectData
typedef _Lib3dsCameraData | Lib3dsCameraData
typedef _Lib3dsTargetData | Lib3dsTargetData
typedef _Lib3dsLightData | Lib3dsLightData
typedef _Lib3dsSpotData | Lib3dsSpotData
typedef _Lib3dsNodeData | Lib3dsNodeData
## Functions
LIB3DSAPI Lib3dsNode * | lib3ds_node_new_ambient ()
LIB3DSAPI Lib3dsNode * | lib3ds_node_new_object ()
LIB3DSAPI Lib3dsNode * | lib3ds_node_new_camera ()
LIB3DSAPI Lib3dsNode * | lib3ds_node_new_target ()
LIB3DSAPI Lib3dsNode * | lib3ds_node_new_light ()
LIB3DSAPI Lib3dsNode * | lib3ds_node_new_spot ()
LIB3DSAPI void | lib3ds_node_free (Lib3dsNode *node)
LIB3DSAPI void | lib3ds_node_eval (Lib3dsNode *node, Lib3dsFloat t)
LIB3DSAPI Lib3dsNode * | lib3ds_node_by_name (Lib3dsNode *node, const char *name, Lib3dsNodeTypes type)
LIB3DSAPI Lib3dsNode * | lib3ds_node_by_id (Lib3dsNode *node, Lib3dsWord node_id)
LIB3DSAPI void | lib3ds_node_dump (Lib3dsNode *node, Lib3dsIntd level)
LIB3DSAPI Lib3dsBool | lib3ds_node_read (Lib3dsNode *node, Lib3dsFile *file, Lib3dsIo *io)
LIB3DSAPI Lib3dsBool | lib3ds_node_write (Lib3dsNode *node, Lib3dsFile *file, Lib3dsIo *io)

## Function Documentation

LIB3DSAPI Lib3dsNode* lib3ds_node_by_id | ( | Lib3dsNode * | node,
|  | Lib3dsWord | node_id
| ) |

LIB3DSAPI Lib3dsNode* lib3ds_node_by_name | ( | Lib3dsNode * | node,
|  | const char * | name,
|  | Lib3dsNodeTypes | type
| ) |

LIB3DSAPI void lib3ds_node_dump | ( | Lib3dsNode * | node,
|  | Lib3dsIntd | level
| ) |

LIB3DSAPI void lib3ds_node_eval | ( | Lib3dsNode * | node,
|  | Lib3dsFloat | t
| ) |

LIB3DSAPI void lib3ds_node_free | ( | Lib3dsNode * | node | ) |

LIB3DSAPI Lib3dsNode* lib3ds_node_new_ambient | ( |  | ) |

LIB3DSAPI Lib3dsNode* lib3ds_node_new_camera | ( |  | ) |

LIB3DSAPI Lib3dsNode* lib3ds_node_new_light | ( |  | ) |

LIB3DSAPI Lib3dsNode* lib3ds_node_new_object | ( |  | ) |

LIB3DSAPI Lib3dsNode* lib3ds_node_new_spot | ( |  | ) |

LIB3DSAPI Lib3dsNode* lib3ds_node_new_target | ( |  | ) |

LIB3DSAPI Lib3dsBool lib3ds_node_read | ( | Lib3dsNode * | node,
|  | Lib3dsFile * | file,
|  | Lib3dsIo * | io
| ) |

LIB3DSAPI Lib3dsBool lib3ds_node_write | ( | Lib3dsNode * | node,
|  | Lib3dsFile * | file,
|  | Lib3dsIo * | io
| ) |